Subject: Re: [PATCH v7 net-next 00/18] Introducing P4TC

From: Jakub Kicinski <[email-masked]>
Date: Tue, 17 Oct 2023 08:58:17 -0700

On Tue, 17 Oct 2023 11:56:15 -0400 Jamal Hadi Salim wrote:
> > Um. Maybe.. Sparse generates more false positives than good warnings
> > lately :( We'd have to add some extra info like "Note that sparse
> > is known to generate false-positive warnings, if you think that the
> > warning generated with C=1 is bogus, ignore it and note that fact
> > in the commit message".
> >  
> 
> > I don't like documenting things which aren't clear-cut :(  
> 
> Upto you - couldnt sum up from above if you want a patch or not. I
> think it makes sense to document C=1 somewhere since it helps your
> overhead.
> But the comment Similar in spirit to the checkpatch comment if - "But
> do not be mindlessly robotic in doing so..."

Weak preference for keeping it as is.
The wins on my end don't justify the extra rule for the drive-by
developers.